[nvidia] Windows appear blank white

Bug #729979 reported by pablomme on 2011-03-06
This bug affects 332 people
Affects Status Importance Assigned to Milestone
Compiz
High
Andrea Azzarone
0.9.11
High
Stephen M. Webb
compiz (Ubuntu)
High
Andrea Azzarone
Nominated for Trusty by Stephen M. Webb
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

[ Impact ]

When switching focus from one window to another, the target window may become blank. See the attached screenshot, where I opened two gnome-terminals and clicked on their titlebars alternately - the issue was triggered after about 5-10 clicks. I've had this happen on other appications too, e.g. software-centre, empathy, etc.

HOW TO REPRODUCE:

[ Test Case ]

Verification requires an nVidia GPU with proprietary drivers. The problem can not reliably be reproduced at will, only after some time (depending on resident GPU memory and usage) and even then only randomly.

1. Minimize a window
2. Initiate Scale and deactivate it again (press Super+W to show all windows and then press it again to go back to normal)
3. Click the window icon on the launcher to maximize it again.
4. The window contents will be white, black, or transparent depending on the Ubuntu version

[ Regression Potential ]

It is unlikely this change has the potential to introduce new regressions.

[ Other Info ]

Fix was cherry-picked from the Ubuntu "Vivid Vervet" dev relase where it has been in use for some weeks without problem.

Related branches

pablomme (pablomme) wrote :
pablomme (pablomme) wrote :

Strangely now I'm having the same problem but the windows contents are transparent instead of solid grey.

summary: - Windows sometimes become blank when changing focus to them in natty
+ Windows sometimes become blank/transparent when changing focus to them
+ in natty

Are you still facing this issue with latest unity and compiz in natty?

Changed in compiz (Ubuntu):
status: New → Incomplete
pablomme (pablomme) wrote :

Actually, no, this disappeared about 2 weeks ago.

Changed in compiz (Ubuntu):
status: Incomplete → Invalid
Sergey Glita (s-v-glita) wrote :

it seems that I have the same problem
App window is frequently blanc after start, Maximise-minimise somуtimes helps me. Context menu in firefox is blanc too.

Natty updated from 10.10, Motherboard Asus M2NPV-VM with integrated video
uname -a
Linux assa 2.6.38-7-generic #39-Ubuntu SMP Fri Mar 25 19:38:02 UTC 2011 i686 athlon i386 GNU/Linux

I have this exact bug as well. For me this constitutes a severe usability issue.

natty from maverick

hp dv9000, nvidia restricted graphics driver

Sergey Glita (s-v-glita) wrote :

Optional: this happens only in Unity, where the first window are less likely to remain empty than next windows. In Gnome's all good.

Josh Leverette (coder543) wrote :

Yeah.. this is really starting to irk me. It most consistently is happening with Firefox and Chrome.. sometimes no amount of tabbing will bring back the contents of either. Old nVidia Geforce 6150 LE graphics card. This has never happened in any other Ubuntu that i've seen.

Changed in compiz (Ubuntu):
status: Invalid → Confirmed
status: Confirmed → Invalid
Changed in unity (Ubuntu):
status: New → Confirmed
Hefeloce (hefeloce) wrote :

Well, for me this happens wen I maximize windows, then they appear blank, but when I resize them they become normal (All windows become normal when they reach a certain size, this size seems to be the same for all the windows).
A fact is that when I open amarok and maximize or minimize it, a few seconds later it crashes, it doesn't happen when I keep it under a tiny window (so the window is not blank) Amarok then reports a seg fault error.
This makes me think that this problem happens when windows are minimized too even when we are not able to see it.
Last, for I reason I don't know this time firefox is working properly maximized.

I'm using 64 bit edition and I use an Nvidia card like the guy who posted this bug.

Hefeloce (hefeloce) wrote :

I found this, when using compiz config settings manager, and disabling Metacity Workarounds Plugin it stoped to happend, so is the problem with compiz and this plugin? except for Kde apps, they keep crashing all the time

pablomme (pablomme) wrote :

This problem has definitely stopped happening for me (the original reporter), so for devs to investigate I think it would be more useful if one of those currently affected reported a new bug and attached their apport-collected data.

Changed in unity (Ubuntu):
status: Confirmed → Invalid
Josh Leverette (coder543) wrote :

Where is this Metacity Workaround Plugin you speak of?

How could we create a new bug and retain the descriptions listed here? would it make more sense to post our debug info to this thread?

also-- I discovered that even while using the classic gnome desktop, the problem still exists, though in a much diminished sense; now windows are displayed blank when maximized, and even then, at a low frequency.

Download full text (5.3 KiB)

In my studies it has mainly to do with the obscene memory usage Unity is causing compared to previous versions of Ubuntu. 800MB idle! But yeah, who knows.

Sincerely,
Josh

On Apr 6, 2011, at 9:38 PM, "<email address hidden>" <email address hidden> wrote:

> How could we create a new bug and retain the descriptions listed here?
> would it make more sense to post our debug info to this thread?
>
> also-- I discovered that even while using the classic gnome desktop, the
> problem still exists, though in a much diminished sense; now windows are
> displayed blank when maximized, and even then, at a low frequency.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/729979
>
> Title:
> Windows sometimes become blank/transparent when changing focus to them
> in natty
>
> Status in “compiz” package in Ubuntu:
> Invalid
> Status in “unity” package in Ubuntu:
> Invalid
>
> Bug description:
> Binary package hint: compiz
>
> When switching focus from one window to another, the target window may
> become blank. See the attached screenshot, where I opened two gnome-
> terminals and clicked on their titlebars alternately - the issue was
> triggered after about 5-10 clicks. I've had this happen on other
> appications too, e.g. software-centre, empathy, etc.
>
> Doing shade+unshade, maximizing or clicking away from the problematic
> window usually makes the window contents come back. The window remains
> responsive to both keyboard and mouse (by the way, in the screenshot
> the mouse cursor was an I-beam before I pressed PrtScr).
>
> This is on up-to-date natty, installed from scratch using the daily
> image from the 1st of March.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: compiz 1:0.9.4-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
> Uname: Linux 2.6.38-5-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
> .proc.driver.nvidia.registry: Binary: ""
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.29 Wed Feb 23 16:18:35 PST 2011
> GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-3ubuntu3)
> Architecture: amd64
> CompizPlugins: [core,bailer,detection,composite,opengl,decor,imgsvg,resize,resizeinfo,mousepoll,wall,regex,animation,place,blur,compiztoolbox,text,session,grid,put,imgpng,imgjpeg,gnomecompat,commands,copytex,wobbly,annotate,move,vpswitch,workarounds,expo,ezoom,staticswitcher,fade,scale,scaleaddon,unityshell]
> CompositorRunning: compiz
> Date: Sun Mar 6 02:42:49 2011
> DistUpgraded: Log time: 2011-03-03 20:05:16.908415
> DistroCodename: natty
> DistroVariant: ubuntu
> DkmsStatus: nvidia-current, 270.29, 2.6.38-5-generic, x86_64: installed
> GraphicsCard:
> nVidia Corporation ION VGA [GeForce 9400M] [10de:0876] (rev b1) (prog-if 00 [VGA controller])
> Subsystem: ASUSTeK Computer Inc. Device [1043:8402]
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110301.1)
> InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20...

Read more...

correction, this bug is now fully present in the classic desktop.

Moreover, I have discovered a fairly consistent behavior: When multiple aplications are open, the bug can manifest itself as: the active window is blank (white in my case... title bar displays but nothing else.) while windows behind it will display content. If one of the unfocused windows is selected, it gains focus, and goes blank. The previously blank window, no longer focused, regains its content and is no longer blank.

Switching between applications, the ones gaining focus always going blank only to regain content after losing focus is quite infuriating.

To force an application to quit being blank, another application is opened, and applications are switched until the blanking behavior begins for the new application. (I use terminal as my dummy app...) Terminal is given focus, observed to be blank, and closed. The aplication which was behind the dummy application gains focus, and does not go blank. (this has been verified in classic desktop, not yet in unity)

pablomme (pablomme) wrote :

@anthonyjschulte: most of the info here you don't want to retain. My description and apport-collected info are irrelevant, and so is my screenshot. There are some pieces of information that might be useful (especially that everyone seems to be on an nvidia card), but that can be very easily written in a new report. Just run 'ubuntu-bug compiz' from the command line to file a new bug report, and try to get a screenshot of the problem happening to you. Then post a link here so that other people can follow over to the new report.

More importantly, are people getting this bug without nvidia? Due to
the way that nvidia is linking libGL (eg without -fPIC) this means
that every new instance of every application is going to increase
memory usage, which might explain why pixmaps of windows can be blank
at some times (especially when maximized or at large sizes)

On Thu, Mar 31, 2011 at 8:49 PM, Omer Akram <email address hidden> wrote:
> Are you still facing this issue with latest unity and compiz in natty?
>
> ** Changed in: compiz (Ubuntu)
>       Status: New => Incomplete
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/729979
>
> Title:
>  Windows sometimes become blank/transparent when changing focus to them
>  in natty
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Yes- I observe that the larger the window, the more likely it is to be blank. When (enlarging) a window, the size can be increased up to a certain point at which the window goes blank.

Download full text (5.2 KiB)

Its likely that you are running out of pixmap memory or the server is
having trouble allocating those pixmaps.

Out of curiousity, do you get any messages from compiz in a console
which say something like "failed to bind pixmap to texture" ?

On Thu, Apr 7, 2011 at 12:38 PM, <email address hidden>
<email address hidden> wrote:
> Yes- I observe that the larger the window, the more likely it is to be
> blank. When (enlarging) a window, the size can be increased up to a
> certain point at which the window goes blank.
>
> --
> You received this bug notification because you are a member of Unity
> Bugs, which is subscribed to unity in Ubuntu.
> https://bugs.launchpad.net/bugs/729979
>
> Title:
>  Windows sometimes become blank/transparent when changing focus to them
>  in natty
>
> Status in “compiz” package in Ubuntu:
>  Invalid
> Status in “unity” package in Ubuntu:
>  Invalid
>
> Bug description:
>  Binary package hint: compiz
>
>  When switching focus from one window to another, the target window may
>  become blank. See the attached screenshot, where I opened two gnome-
>  terminals and clicked on their titlebars alternately - the issue was
>  triggered after about 5-10 clicks. I've had this happen on other
>  appications too, e.g. software-centre, empathy, etc.
>
>  Doing shade+unshade, maximizing or clicking away from the problematic
>  window usually makes the window contents come back. The window remains
>  responsive to both keyboard and mouse (by the way, in the screenshot
>  the mouse cursor was an I-beam before I pressed PrtScr).
>
>  This is on up-to-date natty, installed from scratch using the daily
>  image from the 1st of March.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: compiz 1:0.9.4-0ubuntu3
>  ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
>  Uname: Linux 2.6.38-5-generic x86_64
>  NonfreeKernelModules: nvidia
>  .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
>  .proc.driver.nvidia.registry: Binary: ""
>  .proc.driver.nvidia.version:
>   NVRM version: NVIDIA UNIX x86_64 Kernel Module  270.29  Wed Feb 23 16:18:35 PST 2011
>   GCC version:  gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-3ubuntu3)
>  Architecture: amd64
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,imgsvg,resize,resizeinfo,mousepoll,wall,regex,animation,place,blur,compiztoolbox,text,session,grid,put,imgpng,imgjpeg,gnomecompat,commands,copytex,wobbly,annotate,move,vpswitch,workarounds,expo,ezoom,staticswitcher,fade,scale,scaleaddon,unityshell]
>  CompositorRunning: compiz
>  Date: Sun Mar  6 02:42:49 2011
>  DistUpgraded: Log time: 2011-03-03 20:05:16.908415
>  DistroCodename: natty
>  DistroVariant: ubuntu
>  DkmsStatus: nvidia-current, 270.29, 2.6.38-5-generic, x86_64: installed
>  GraphicsCard:
>   nVidia Corporation ION VGA [GeForce 9400M] [10de:0876] (rev b1) (prog-if 00 [VGA controller])
>     Subsystem: ASUSTeK Computer Inc. Device [1043:8402]
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110301.1)
>  InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110301.1)
>  JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphic...

Read more...

...not sure how I would try this...

killall compiz, and somehow reopen from a terminal?

I will post my .xsession-errors to: https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/753144 tonight.

I am also having some other issues that may or may not be related... GDI pixbuf assertions failing If I recall (I am at work)

Download full text (5.1 KiB)

unity --replace

On Thu, Apr 7, 2011 at 11:46 PM, <email address hidden>
<email address hidden> wrote:
> ...not sure how I would try this...
>
> killall compiz, and somehow reopen from a terminal?
>
> I will post my .xsession-errors to:
> https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/753144 tonight.
>
> I am also having some other issues that may or may not be related... GDI
> pixbuf assertions failing If I recall (I am at work)
>
> --
> You received this bug notification because you are a member of Unity
> Bugs, which is subscribed to unity in Ubuntu.
> https://bugs.launchpad.net/bugs/729979
>
> Title:
>  Windows sometimes become blank/transparent when changing focus to them
>  in natty
>
> Status in “compiz” package in Ubuntu:
>  Invalid
> Status in “unity” package in Ubuntu:
>  Invalid
>
> Bug description:
>  Binary package hint: compiz
>
>  When switching focus from one window to another, the target window may
>  become blank. See the attached screenshot, where I opened two gnome-
>  terminals and clicked on their titlebars alternately - the issue was
>  triggered after about 5-10 clicks. I've had this happen on other
>  appications too, e.g. software-centre, empathy, etc.
>
>  Doing shade+unshade, maximizing or clicking away from the problematic
>  window usually makes the window contents come back. The window remains
>  responsive to both keyboard and mouse (by the way, in the screenshot
>  the mouse cursor was an I-beam before I pressed PrtScr).
>
>  This is on up-to-date natty, installed from scratch using the daily
>  image from the 1st of March.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: compiz 1:0.9.4-0ubuntu3
>  ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
>  Uname: Linux 2.6.38-5-generic x86_64
>  NonfreeKernelModules: nvidia
>  .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
>  .proc.driver.nvidia.registry: Binary: ""
>  .proc.driver.nvidia.version:
>   NVRM version: NVIDIA UNIX x86_64 Kernel Module  270.29  Wed Feb 23 16:18:35 PST 2011
>   GCC version:  gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-3ubuntu3)
>  Architecture: amd64
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,imgsvg,resize,resizeinfo,mousepoll,wall,regex,animation,place,blur,compiztoolbox,text,session,grid,put,imgpng,imgjpeg,gnomecompat,commands,copytex,wobbly,annotate,move,vpswitch,workarounds,expo,ezoom,staticswitcher,fade,scale,scaleaddon,unityshell]
>  CompositorRunning: compiz
>  Date: Sun Mar  6 02:42:49 2011
>  DistUpgraded: Log time: 2011-03-03 20:05:16.908415
>  DistroCodename: natty
>  DistroVariant: ubuntu
>  DkmsStatus: nvidia-current, 270.29, 2.6.38-5-generic, x86_64: installed
>  GraphicsCard:
>   nVidia Corporation ION VGA [GeForce 9400M] [10de:0876] (rev b1) (prog-if 00 [VGA controller])
>     Subsystem: ASUSTeK Computer Inc. Device [1043:8402]
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110301.1)
>  InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110301.1)
>  JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
>  Lsusb:
>   Bus 004 Device 001: ID 1d...

Read more...

Download full text (8.8 KiB)

tony@siddhartha:~$ sudo unity --replace
[sudo] password for tony:

(process:2060): GLib-WARNING **: In call to g_spawn_sync(), exit status of a child process was requested but SIGCHLD action was set to SIG_IGN and ECHILD was received by waitpid(), so exit status can't be returned. This is a bug in the program calling g_spawn_sync(); either don't request the exit status, or don't set the SIGCHLD action.
GConf Error: Failed to contact configuration server; the most common cause is a missing or misconfigured D-Bus session bus daemon. See http://projects.gnome.org/gconf/ for information. (Details - 1: Failed to get connection to session: Abnormal program termination spawning command line `dbus-launch --autolaunch=04c5cad7d29cd8e6cb65d5ca00000009 --binary-syntax --close-stderr': )
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Initializing core options...done

(process:2060): GConf-WARNING **: Directory `/apps/compiz-1' was not being monitored by GConfClient 0x952f220
Initializing bailer options...done
Initializing detection options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing mousepoll options...done
Initializing vpswitch options...done
Initializing animation options...done
Initializing snap options...done
Initializing expo options...done
Initializing move options...done
Initializing place options...done
Initializing grid options...done
Initializing gnomecompat options...done
Initializing wall options...done
Initializing ezoom options...done
Initializing workarounds options...done
Initializing staticswitcher options...done
Initializing resize options...done
Initializing fade options...done
Initializing unitymtgrabhandles options...done
Initializing scale options...done
Initializing session options...done
** (<unknown>:2060): DEBUG: Unity accessibility initialization

** (<unknown>:2060): WARNING **: Unable to load GDesktopAppInfo for 'ubiquity-gtkui.desktop'

** (<unknown>:2060): WARNING **: Desktop file 'ubiquity-gtkui.desktop' Does not exist anywhere we can find it

(<unknown>:2060): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(<unknown>:2060): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(<unknown>:2060): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

Screen geometry changed:
  Monitor 0(primary)
   0x0x1440x900

Initializing unityshell options...done
** (<unknown>:2060): DEBUG: MaximizeIfBigEnough: Gnome-terminal window size doesn't fit
Changed: favorites
Changed: favorites
Changed: favorite-migration
** (<unknown>:2060): DEBUG: PlaceEntry: Files & Folders
** (<unknown>:2060): DEBUG: PlaceEntry: Applications
** (<unknown>:2060): DEBUG: PlaceEntry: Commands

(<unknown>:2060): libindicator-WARNING **: Shortcut Group does not have key 'TargetEnvironment' falling back to deprecated use of 'OnlyShowIn' and 'NotShowIn'.
** (<unknown>:2060): DEBUG: Acquired the name com.canonical.Unity.Launcher on the session bus

** (<unknown>:2060): DEBUG: Connected to proxy

(<unknown>:2060): dee-WARNING **: Transaction from com.canonical.Unity.File...

Read more...

pablomme (pablomme) wrote :

You certainly don't want to run that with sudo.

oops-- why is that? It gives root priv. to all processes in unity?

pablomme (pablomme) wrote :

It runs compiz with the unity profile as root, yes, but rather than being a security/permissions issue I would guess it simply wouldn't connect to the user's X session and Gnome services and crash due to that. Do it without sudo for useful output.

tony@siddhartha:~$ unity --replace
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Initializing core options...done
Initializing bailer options...done
Initializing detection options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing mousepoll options...done
Initializing vpswitch options...done
Initializing animation options...done
Initializing snap options...done
Initializing expo options...done
Initializing move options...done
Initializing place options...done
Initializing grid options...done
Initializing gnomecompat options...done
Initializing wall options...done
Initializing ezoom options...done
Initializing workarounds options...done
Initializing staticswitcher options...done
Initializing resize options...done
Initializing fade options...done
Initializing unitymtgrabhandles options...done
Initializing scale options...done
Initializing session options...done
** (<unknown>:1938): DEBUG: Unity accessibility initialization

Screen geometry changed:
  Monitor 0(primary)
   0x0x1440x900

Initializing unityshell options...done
** (<unknown>:1938): DEBUG: MaximizeIfBigEnough: Gnome-terminal window size doesn't fit
** (<unknown>:1938): DEBUG: PlaceEntry: Files & Folders
** (<unknown>:1938): DEBUG: PlaceEntry: Applications
** (<unknown>:1938): DEBUG: PlaceEntry: Commands

(<unknown>:1938): libindicator-WARNING **: Shortcut Group does not have key 'TargetEnvironment' falling back to deprecated use of 'OnlyShowIn' and 'NotShowIn'.
** (<unknown>:1938): DEBUG: Acquired the name com.canonical.Unity.Launcher on the session bus

** (<unknown>:1938): DEBUG: Connected to proxy
** (<unknown>:1938): DEBUG: Connected to proxy
** (<unknown>:1938): DEBUG: Connected to proxy

(<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_own_name: assertion `g_dbus_is_name (name) && !g_dbus_is_unique_name (name)' failed

(<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_watch_name: assertion `g_dbus_is_name (name)' failed

(<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_own_name: assertion `g_dbus_is_name (name) && !g_dbus_is_unique_name (name)' failed

(<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_watch_name: assertion `g_dbus_is_name (name)' failed

(<unknown>:1938): GLib-GIO-CRITICAL **: g_dbus_connection_register_object: assertion `object_path != NULL && g_variant_is_object_path (object_path)' failed

(<unknown>:1938): GLib-GIO-CRITICAL **: g_dbus_connection_register_object: assertion `object_path != NULL && g_variant_is_object_path (object_path)' failed
** (<unknown>:1938): DEBUG: IndicatorAdded: libapplication.so
** (<unknown>:1938): DEBUG: IndicatorAdded: libsoundmenu.so
** (<unknown>:1938): DEBUG: IndicatorAdded: libmessaging.so
** (<unknown>:1938): DEBUG: IndicatorAdded: libdatetime.so
** (<unknown>:1938): DEBUG: IndicatorAdded: libme.so
** (<unknown>:1938): DEBUG: IndicatorAdded: libsession.so
Setting Update "run_command_terminal_key"
Setting Update "force_glx_sync"
Setting Update "fullscreen_visual_bell"
Setting Update "launcher_hide_mode"
** (<unknown>:1938): DEBUG: Setting to primary screen rect: x=0 y=0 w=1440 h=900

Download full text (8.0 KiB)

I need the output for when you actually start getting blank windows.
Screenshot would be nice.

On Fri, Apr 8, 2011 at 10:42 AM, <email address hidden>
<email address hidden> wrote:
> tony@siddhartha:~$ unity --replace
> Backend     : gconf
> Integration : true
> Profile     : unity
> Adding plugins
> Initializing core options...done
> Initializing bailer options...done
> Initializing detection options...done
> Initializing composite options...done
> Initializing opengl options...done
> Initializing decor options...done
> Initializing mousepoll options...done
> Initializing vpswitch options...done
> Initializing animation options...done
> Initializing snap options...done
> Initializing expo options...done
> Initializing move options...done
> Initializing place options...done
> Initializing grid options...done
> Initializing gnomecompat options...done
> Initializing wall options...done
> Initializing ezoom options...done
> Initializing workarounds options...done
> Initializing staticswitcher options...done
> Initializing resize options...done
> Initializing fade options...done
> Initializing unitymtgrabhandles options...done
> Initializing scale options...done
> Initializing session options...done
> ** (<unknown>:1938): DEBUG: Unity accessibility initialization
>
> Screen geometry changed:
>  Monitor 0(primary)
>   0x0x1440x900
>
> Initializing unityshell options...done
> ** (<unknown>:1938): DEBUG: MaximizeIfBigEnough: Gnome-terminal window size doesn't fit
> ** (<unknown>:1938): DEBUG: PlaceEntry: Files & Folders
> ** (<unknown>:1938): DEBUG: PlaceEntry: Applications
> ** (<unknown>:1938): DEBUG: PlaceEntry: Commands
>
> (<unknown>:1938): libindicator-WARNING **: Shortcut Group does not have key 'TargetEnvironment' falling back to deprecated use of 'OnlyShowIn' and 'NotShowIn'.
> ** (<unknown>:1938): DEBUG: Acquired the name com.canonical.Unity.Launcher on the session bus
>
> ** (<unknown>:1938): DEBUG: Connected to proxy
> ** (<unknown>:1938): DEBUG: Connected to proxy
> ** (<unknown>:1938): DEBUG: Connected to proxy
>
> (<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_own_name: assertion
> `g_dbus_is_name (name) && !g_dbus_is_unique_name (name)' failed
>
> (<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_watch_name: assertion
> `g_dbus_is_name (name)' failed
>
> (<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_own_name: assertion
> `g_dbus_is_name (name) && !g_dbus_is_unique_name (name)' failed
>
> (<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_watch_name: assertion
> `g_dbus_is_name (name)' failed
>
> (<unknown>:1938): GLib-GIO-CRITICAL **:
> g_dbus_connection_register_object: assertion `object_path != NULL &&
> g_variant_is_object_path (object_path)' failed
>
> (<unknown>:1938): GLib-GIO-CRITICAL **: g_dbus_connection_register_object: assertion `object_path != NULL && g_variant_is_object_path (object_path)' failed
> ** (<unknown>:1938): DEBUG: IndicatorAdded: libapplication.so
> ** (<unknown>:1938): DEBUG: IndicatorAdded: libsoundmenu.so
> ** (<unknown>:1938): DEBUG: IndicatorAdded: libmessaging.so
> ** (<unknown>:1938): DEBUG: IndicatorAdded: libdatetime.so
> ** (<unknown>:1938): DEBUG: IndicatorAdded: libme.so
> ** (<unknown>:1938): DEBU...

Read more...

All that info including screenshots is posted at https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/753144

I can repost here if necessary, but it was recommended that I file my own bug since OP says it stopped on his machine.

Download full text (13.5 KiB)

I belive my problem went away when i disabled the Focus Animation from CompizConfig -> Animations -> Focus Animation

> Date: Fri, 8 Apr 2011 06:06:37 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: Re: [Bug 729979] Re: Windows sometimes become blank/transparent when changing focus to them in natty
>
> I need the output for when you actually start getting blank windows.
> Screenshot would be nice.
>
> On Fri, Apr 8, 2011 at 10:42 AM, <email address hidden>
> <email address hidden> wrote:
> > tony@siddhartha:~$ unity --replace
> > Backend : gconf
> > Integration : true
> > Profile : unity
> > Adding plugins
> > Initializing core options...done
> > Initializing bailer options...done
> > Initializing detection options...done
> > Initializing composite options...done
> > Initializing opengl options...done
> > Initializing decor options...done
> > Initializing mousepoll options...done
> > Initializing vpswitch options...done
> > Initializing animation options...done
> > Initializing snap options...done
> > Initializing expo options...done
> > Initializing move options...done
> > Initializing place options...done
> > Initializing grid options...done
> > Initializing gnomecompat options...done
> > Initializing wall options...done
> > Initializing ezoom options...done
> > Initializing workarounds options...done
> > Initializing staticswitcher options...done
> > Initializing resize options...done
> > Initializing fade options...done
> > Initializing unitymtgrabhandles options...done
> > Initializing scale options...done
> > Initializing session options...done
> > ** (<unknown>:1938): DEBUG: Unity accessibility initialization
> >
> > Screen geometry changed:
> > Monitor 0(primary)
> > 0x0x1440x900
> >
> > Initializing unityshell options...done
> > ** (<unknown>:1938): DEBUG: MaximizeIfBigEnough: Gnome-terminal window size doesn't fit
> > ** (<unknown>:1938): DEBUG: PlaceEntry: Files & Folders
> > ** (<unknown>:1938): DEBUG: PlaceEntry: Applications
> > ** (<unknown>:1938): DEBUG: PlaceEntry: Commands
> >
> > (<unknown>:1938): libindicator-WARNING **: Shortcut Group does not have key 'TargetEnvironment' falling back to deprecated use of 'OnlyShowIn' and 'NotShowIn'.
> > ** (<unknown>:1938): DEBUG: Acquired the name com.canonical.Unity.Launcher on the session bus
> >
> > ** (<unknown>:1938): DEBUG: Connected to proxy
> > ** (<unknown>:1938): DEBUG: Connected to proxy
> > ** (<unknown>:1938): DEBUG: Connected to proxy
> >
> > (<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_own_name: assertion
> > `g_dbus_is_name (name) && !g_dbus_is_unique_name (name)' failed
> >
> > (<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_watch_name: assertion
> > `g_dbus_is_name (name)' failed
> >
> > (<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_own_name: assertion
> > `g_dbus_is_name (name) && !g_dbus_is_unique_name (name)' failed
> >
> > (<unknown>:1938): GLib-GIO-CRITICAL **: g_bus_watch_name: assertion
> > `g_dbus_is_name (name)' failed
> >
> > (<unknown>:1938): GLib-GIO-CRITICAL **:
> > g_dbus_connection_register_object: assertion `object_path != NULL &&
> > g_variant_is_object_path (object_path)' failed
> >
> > (<unknown>:19...

Josh Leverette (coder543) wrote :

sadly mine persists. I can't exceed certain window dimensions.. i'll give it
time. Maybe that will help.

This is also affecting me. Very, __very__ annoying. It happens both in unity and in ubuntu classic.

Box is a Dell Optiplex 740 (AMD), i386. I can provide further details if guided. Let me know what you want me to capture, send.

--
fernan

FernanAguero (fernan-ciudad) wrote :

Locking the screen (screensaver) would also get you a completely white screen. You can unlock it by typing your password blindly ...

FernanAguero (fernan-ciudad) wrote :

Just to clarify: It happens both in unity and in ubuntu classic when the nvidia driver is active (nvidia current)

summary: - Windows sometimes become blank/transparent when changing focus to them
- in natty
+ [nvidia] Windows appear blank white
Changed in compiz (Ubuntu):
status: Invalid → Confirmed
Changed in unity (Ubuntu):
status: Invalid → Confirmed
Changed in compiz:
status: New → Confirmed
Changed in compiz-core:
status: New → Confirmed
Changed in compiz:
milestone: none → 0.9.8.0
importance: Undecided → High
Changed in compiz:
assignee: nobody → Sam Spilsbury (smspillaz)
status: Confirmed → In Progress
Changed in compiz-core:
importance: Undecided → High
Changed in compiz (Ubuntu):
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Undecided → High
Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz at revision 3223

Changed in compiz:
status: In Progress → Fix Committed
Changed in compiz-core:
milestone: none → 0.9.7.10
status: Confirmed → Triaged
Changed in compiz (Ubuntu):
status: Confirmed → Triaged
no longer affects: unity (Ubuntu)
Daniel van Vugt (vanvugt) wrote :

Sorry, that was premature.

Only white window bug 1002602 is definitely fixed. Not this one. Though I suspect we need to divide the duplicates of this bug into a couple of bugs. It's possible some of them might have been fixed with bug 1002602. However I still get white windows when restoring minimized windows using the Unity switcher for example.

Changed in compiz:
status: Fix Committed → Triaged
Changed in compiz-core:
milestone: 0.9.7.10 → none
Sam Spilsbury (smspillaz) wrote :

Hmm, that's strange. I put in a workaround for bug 729979 in http://bazaar.launchpad.net/~unity-team/unity/trunk/revision/2273 of unity. While it is a workaround, both didrocks and I tested it and it worked for both of us.

Daniel, do you have "keep previews of mimized windows" disabled? If so - we should remove the option, it is meant to be on by default, and the only reason I had it as an option was because it wasn't fully polished when it went in.

Daniel van Vugt (vanvugt) wrote :

"Keep previews of mimized windows" is disabled as it is for everyone in 12.04. If you think it should be enabled, then a proposal enabling it should be made.

I have now tested enabling it, with standard precise AND with this fix backported to precise. In all cases the white windows persist on restore (using Unity).

Note the white windows on restore only happen with Unity. Running the latest lp:compiz without Unity, there are no white window problems. I have not yet tested other combinations, so please don't ask.

Download full text (6.3 KiB)

On Thu, 7 Jun 2012, Daniel van Vugt wrote:

> "Keep previews of mimized windows" is disabled as it is for everyone in
> 12.04. If you think it should be enabled, then a proposal enabling it
> should be made.
>
> I have now tested enabling it, with standard precise AND with this fix
> backported to precise. In all cases the white windows persist on restore
> (using Unity).
>

My Apologies, I meant "Show minimized windows in switcher" (Keep previews
of minimized windows in workarounds should in fact be removed to avoid the
confusion as we don't use it elsewhere in compiz). Looking at the XML file
says that its turned on by default.

The reason I asked is beacuse the hack basically has no effect if this
option is turned off. In any case, I'm pretty sure that part the the
original bug I fixed said that if you disabled keeping previews, this didn't
happen.

(I'd love to deliver a real fix, however I just don't know enough about
the driver to understand what its doing that's causing us to lose binding
here. According to the tfp documentation you only need to rebind whenever
the pixmap becomes invalid, and this is what we do. With
"show_minimized_windows" on - the windows nor their frames are not even
resized when they are (un)minimized. That being said, its entirely
possible that a separate opengl operation is triggering a driver bug
causing the pixmap binding to be lost)

> Note the white windows on restore only happen with Unity. Running the
> latest lp:compiz without Unity, there are no white window problems. I
> have not yet tested other combinations, so please don't ask.
>
> --
> You received this bug notification because you are a member of Compiz
> Maintainers, which is the registrant for Compiz Core.
> https://bugs.launchpad.net/bugs/729979
>
> Title:
> [nvidia] Windows appear blank white
>
> Status in Compiz:
> Triaged
> Status in Compiz Core:
> Triaged
> Status in “compiz” package in Ubuntu:
> Triaged
>
> Bug description:
> Binary package hint: compiz
>
> When switching focus from one window to another, the target window may
> become blank. See the attached screenshot, where I opened two gnome-
> terminals and clicked on their titlebars alternately - the issue was
> triggered after about 5-10 clicks. I've had this happen on other
> appications too, e.g. software-centre, empathy, etc.
>
> Doing shade+unshade, maximizing or clicking away from the problematic
> window usually makes the window contents come back. The window remains
> responsive to both keyboard and mouse (by the way, in the screenshot
> the mouse cursor was an I-beam before I pressed PrtScr).
>
> This is on up-to-date natty, installed from scratch using the daily
> image from the 1st of March.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: compiz 1:0.9.4-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
> Uname: Linux 2.6.38-5-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
> .proc.driver.nvidia.registry: Binary: ""
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.29 Wed Feb ...

Read more...

Changed in compiz (Ubuntu):
status: Triaged → Fix Released
Changed in compiz (Ubuntu):
status: Fix Released → Triaged
Changed in compiz:
milestone: 0.9.8.0 → 0.9.8.1
Changed in compiz:
milestone: 0.9.8.2 → 0.9.8.4
Changed in compiz:
milestone: 0.9.8.4 → 0.9.9.0
Changed in compiz:
milestone: 0.9.9.0 → 0.9.9.2
Changed in compiz (Ubuntu):
status: Triaged → Fix Released
Changed in compiz:
milestone: 0.9.9.2 → 0.9.10.0
Changed in compiz:
milestone: 0.9.10.0 → 0.9.10.2
MC Return (mc-return) on 2013-07-24
Changed in compiz:
milestone: 0.9.10.2 → 0.9.11.0
Matthias Niess (mniess) on 2013-07-25
description: updated
155 comments hidden view all 235 comments
Felipe Uribe (wfpaisa) wrote :

Hello, the best solution so far has been to match the shade of the windows.
Inactive Active shadow = shadow.

https://dl.dropboxusercontent.com/u/18116331/Selecci%C3%B3n_004.png

no longer turn black when minimizing windows in 98% of cases, being in full screen some windows still looks black to minimize.

tested on nvidia 525M, ubuntu 12.13,
tested on nvidia GeForce 7300, ubuntu 12.13,

Teo (teo1978) wrote :

Ubuntu 13.04 on a different computer; now I'm using noveau (or whatever it's called what comes by default with Ubuntu) instead of proprietary Nvidia drivers.
Problem still there, but windows are now TRANSPARENT instead of black.

It's not just switching windows, it's WHATEVER RANDOM WINDOW that is opened and given focus, including even popups (e.g. confirmation or error popups) and submenus.

Examples:
- in Gedit you hit Ctrl+H, and the Search and Replace window that pops up, at random times is transparent.
- in Google Chrome you click on the menu button on the top-right corner: the submenu at random times is transparent
- in Nautilus, you right-click on the background of a folder; the context menu is fine but when you choose a submenu item, the submenu comes up transparent (but it works if you know where to click blindly)

All of these happen at random times, but when they start happening with a given application, they will usually keep happening systematically untill you close and relaunch that application.

So how do I get the supposed fix that is supposed to have been released?!?!?!?

Sam Spilsbury (smspillaz) wrote :

(I am no longer working on compiz, hence the unassign)

Changed in compiz:
assignee: Sam Spilsbury (smspillaz) → nobody
vsespb (vsespb) wrote :

What is the workaround for 12.04 LTS ?

There is no "Show live previews of windows in the Switcher".
and
"Show minimized windows in switcher" does not help.

Frank Bicknell (fbicknel) wrote :

Is this related?

Steps to reproduce:

0. Alt-F2
1. Run 'unity --replace &'
3. All windows that were previously minimized are now 'empty' when restored.
4. Minimize and restore the window to see the contents again.

Super-W puts on an interesting display (and loses track of minimized windows) after 'unity --replace'. Minimize/restore will bring them back to Super-W, however.

Side note: Need 'unity --replace' often due to confounded compiz sucking down all the system memory sometimes. (I think that's related to xscreensaver, but have yet to prove it definitively.)

1 comments hidden view all 235 comments
Matthias Niess (mniess) wrote :

Can we please re-open this bug? There is no released fix that ever worked for me. I'm on 14.04 development, fresh install and I still experience this bug following the original steps to reproduce:

- minimize window
- show scale (super+w)
- hide scale (super+w)
- click on window in launcher

-> black empty window.

Rainer Rohde (rainer-rohde) wrote :

I support the notion of Matthias Niess above. I experience the same, and with the recent 14.04 updates, it happens a lot more often!

C de-Avillez (hggdh2) wrote :

I cannot see any reason for this bug being set fix released. Reverting to Triaged.

Changed in compiz (Ubuntu):
status: Fix Released → Triaged
C de-Avillez (hggdh2) wrote :

sorry, the precise task was set on the wrong bug

Changed in compiz (Ubuntu Precise):
status: New → Invalid
Ryan Tandy (rtandy) wrote :

I've been through and reproduced this bug on every release since Precise, using exactly Matthias' test case from comment #202. All my tests were on 64-bit installs, totally up-to-date, with newly-created home directories.

I have not yet personally seen this happen with nouveau, only the proprietary nvidia driver.

02:00.0 VGA compatible controller: NVIDIA Corporation GT218 [GeForce 210] (rev a2)

Precise (nvidia-331, lts-saucy stack): restored window is white
Quantal (nvidia-304): restored window is transparent
Raring (nvidia-310): restored window is transparent
Saucy (nvidia-319): restored window is black
Trusty (nvidia-331): restored window is black

tags: added: precise quantal raring saucy trusty
Xavier (xavier.h) wrote :

I'm on 14.04 with Nvidia prime. This bug happen when i swith on nvidia card, and disapear when i swith on the intel graphic card.
I think the bug begin when i installed compiz setting manager.

Xavier (xavier.h) wrote :

And everything work fine if i disable window minimize animation with unity tweak tool.

vsespb (vsespb) wrote :

> sorry, the precise task was set on the wrong bug
Why it's invalid for precise?, happening in Precies very often. Very annoying!

pst007x (turone) wrote :

Ubuntu 13.1064bit & Ubuntu 14.04 64bit disable Animations in CCSM seems to stop this problem..

Silviu C. (silviucc) wrote :

Still happens in 14.04 beta and the work-a-round is to disable animations in CCSM. It also happens on 12.04, why was it marked as "Invalid"?!

Changed in compiz (Ubuntu Precise):
status: Invalid → Confirmed
Silviu C. (silviucc) wrote :

I've changed the status to "Confirmed" for 12.04 as it's still affected by the bug

Matthias Niess (mniess) wrote :

I don't know how to do it but can someone also retarget this to trusty?

assassini (assassini) wrote :

This also seems to happen sometimes when waking up from suspend.

vsespb (vsespb) wrote :

Ubuntu 12.04, Unity 3d, nvidia
Disable "Animations" plugin in CCSM seems is a working workaround.

misteraph (laporte-raphael) wrote :

Same here. Ubuntu 14.04 64bits, Nvidia 331.38.

Disable plugins did the trick, but I'm waiting for a real fix.

Hey All,

Looking through some of the bug history, it seems this is specific to Nvidia and the proprietary driver. I'm thinking this is really a duplicate of bug #269904.

In that bug, there is a patch provided by Nvidia that hopefully fixes that issue. At this time, we cannot get that patch into Compiz proper due to some silly licensing issue, but I have made a PPA that has the fix incorporated. This PPA has packages for Precise, Trusty, and Utopic. If anyone would like to test this out and report your results, please add https://launchpad.net/~townsend/+archive/compiz-nvidia-refresh-test and give it a try.

I'm hoping that if we can get enough feedback that say this fixes the issue for many users, we can use that as leverage to get *something* done about getting the patch merged into Compiz.

Thanks!

vsespb (vsespb) wrote :

There is a comment that problem persists with noveau https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/729979/comments/197

Ryan Tandy (rtandy) wrote :

Hi Christopher,

I tried your PPA on Precise and Trusty, and this bug (minimize, scale, restore → blank window) still occurs.

As far as bug 269904 I need to touch base with my users who are affected by it... will post an update there when I can.

Thanks for trying to move that forward, greatly appreciated.

Rainer Rohde (rainer-rohde) wrote :

Yes, this issue still persists, even after using the compiz build from the PPA on 14.04 LTS. See screenshot attached.

Rainer Rohde (rainer-rohde) wrote :

Not sure where the screeenshot went, but here is it via Dropbox:

https://www.dropbox.com/s/u2pfl9uhrj3suh3/Screenshot%20from%202014-06-05%2011%3A30%3A02.png

Ok, well, it was worth a try. Thanks for those who tested and provided feedback.

Alexander (aheihachi) wrote :

Ubuntu 14.04 LTS - GTX 750 Ti, 331.89 drivers - black window when using Super + W and opening minimized window. Is it going to be fixed?

stagelll (gedefr) wrote :

Same here: Ubuntu 14.04.1 LTS - NVIDIA GeForce GTX 460M, using 331.38 drivers. The only change from 12.04 is that windows are now black -they used to be white.

The very least would be to assign someone to work on this bug. There's no chance that it will be fixed if no one works on it...

vsespb (vsespb) wrote :

In comment 215 I wrote that there is a workaround (Disable "Animations" ), but no, problem reappear.

China Rulezzz (chinarulezzz) wrote :

Hi Cris, unfortunately bug still persists (black screen when click minimize/restore on some applications, ccsm as example).

Ubuntu 14.04.1, GeForce GT 610.

driver packages:

nvidia-331-updates 331.38-0ubuntu7.1
nvidia-libopencl1-331-updates 331.38-0ubuntu7.1
nvidia-opencl-icd-331-updates 331.38-0ubuntu7.1
nvidia-prime 0.6.2

Andrea Azzarone (azzar1) on 2015-03-02
Changed in compiz:
status: Triaged → In Progress
no longer affects: compiz-core
Changed in compiz (Ubuntu):
status: Triaged → In Progress
Changed in compiz:
assignee: nobody → Andrea Azzarone (andyrock)
Changed in compiz (Ubuntu):
assignee: nobody → Andrea Azzarone (andyrock)
Stephen M. Webb (bregma) on 2015-03-03
Changed in compiz:
milestone: 0.9.11.0 → 0.9.12.2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.12.1+15.04.20150303-0ubuntu1

---------------
compiz (1:0.9.12.1+15.04.20150303-0ubuntu1) vivid; urgency=medium

  [ Andrea Azzarone ]
  * Do not cache textures in animation.cpp. (LP: #729979, #1072206)

  [ Martin Wimpress ]
  * tweak MATE profile INI
 -- CI Train Bot <email address hidden> Tue, 03 Mar 2015 18:31:02 +0000

Changed in compiz (Ubuntu):
status: In Progress → Fix Released
Stephen M. Webb (bregma) on 2015-03-13
Changed in compiz:
status: In Progress → Fix Committed
Stephen M. Webb (bregma) on 2015-03-13
description: updated

Hello pablomme, or anyone else affected,

Accepted compiz into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/compiz/1:0.9.11.3+14.04.20150313-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in compiz (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Matthias Niess (mniess) wrote :

@adconrad, is this in utopic-proposed, too? Judging by your link it doesn't look like it. The problem still exists in utopic (without proposed enabled).

Matthias Niess (mniess) wrote :

@adconrad, sorry for spamming. Just saw this fix is not in utopic-proposed. I've got no trusty on affected machines, sorry.

Ryan Tandy (rtandy) wrote :

Hi,

On a machine with a GeForce 6150SE iGPU and nvidia-304 304.125-0ubuntu0.0.1, opened a terminal and followed the steps in the test case with it:

1. Minimize a window
2. Initiate Scale and deactivate it again (press Super+W to show all windows and then press it again to go back to normal)
3. Click the window icon on the launcher to maximize it again.
4. The window contents will be white, black, or transparent depending on the Ubuntu version

With compiz 1:0.9.11.3+14.04.20150122-0ubuntu1 (trusty-updates): restored window is transparent.

With compiz 1:0.9.11.3+14.04.20150313-0ubuntu1 (trusty-proposed): restored window is drawn correctly.

Works for me, thanks!

tags: added: verification-done
removed: verification-needed
Matthias Niess (mniess) wrote :

So any chance this fix will also make it into newer versions of Ubuntu?

This fix is already in Vivid, but not in Utopic.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.11.3+14.04.20150313-0ubuntu1

---------------
compiz (1:0.9.11.3+14.04.20150313-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * removed texture caching from animations (LP: #729979, #1072206)

  [ Chris Townsend ]
  * Add a blacklist of Nvidia integrated GPU's affected by the Nvidia
    X11 Sync patch. (LP: #1424013)
 -- CI Train Bot <email address hidden> Fri, 13 Mar 2015 17:25:30 +0000

Changed in compiz (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for compiz has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Stephen M. Webb (bregma) on 2015-08-20
Changed in compiz:
status: Fix Committed → Fix Released
Displaying first 40 and last 40 comments. View all 235 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers